# Class Measures

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.AtomShape
org.jmol.shape.Measures

All Implemented Interfaces:
  `JmolMeasurementClient`

public class Measures extends AtomShape implements JmolMeasurementClient

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`colix`
`TickInfo`
`defaultTickInfo`
`Font`
`font3d`
`int`
`measurementCount`
`final Lst<Measurement>`
`measurements`
`MeasurementPending`
`mPending`

### Fields inherited from class AtomShape

`bsSizeDefault, colixes, isActive, isSet, mad, mads, monomerCount, paletteIDs`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Measures()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`String`
`getInfoAsString(int index)`
`Object`
`getProperty(String property, int index)`
`BS`
`getSelected()`
`protected void`
`initModelSet()`
`void`
`initShape()`
`void`
`processNextMeasure(MeasurementData md, Measurement m)`
`void`
`setProperty(String propertyName, Object value, BS bsAtoms)`
`protected void`
`setSize(int size, BS bsSelected)`
`void`
`setVisibilityInfo()`

### Methods inherited from class AtomShape

`checkColixLength, getShapeState, getSize, setAtomClickability, setColixAndPalette, setPropAS, setSize2, setSizeRD, setSizeRD2`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setProperties, setPropS, setShapeSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### measurementCount

public int measurementCount

### measurements

public final Lst<Measurement> measurements

### mPending

public MeasurementPending mPending

### colix

public short colix

### defaultTickInfo

public TickInfo defaultTickInfo

### font3d

public Font font3d

## Constructor Details

### Measures

public Measures()

## Method Details

### getSelected

public BS getSelected()

### initModelSet

protected void initModelSet()

Overrides:
  `initModelSet` in class `AtomShape`

### initShape

public void initShape()

Overrides:
  `initShape` in class `AtomShape`

### setSize

protected void setSize(int size, BS bsSelected)

Overrides:
  `setSize` in class `AtomShape`
Parameters:
  `size` -
  `bsSelected` -

### setProperty

public void setProperty(String propertyName, Object value, BS bsAtoms)

Specified by:
  `setProperty` in class `Shape`

### getProperty

public Object getProperty(String property, int index)

Overrides:
  `getProperty` in class `Shape`
Parameters:
  `property` -
  `index` -
Returns:
  true if serviced

### clear

public void clear()

### processNextMeasure

public void processNextMeasure(MeasurementData md, Measurement m)

Specified by:
  `processNextMeasure` in interface `JmolMeasurementClient`

### getInfoAsString

public String getInfoAsString(int index)

### setVisibilityInfo

public void setVisibilityInfo()